%global debug_package %{nil}

Name:		gnome-browser-connector
Version:	42.1
Release:	%mkrel 1
Summary:	Native browser connector for integration with extensions.gnome.org
Group:		Graphical desktop/GNOME
License:	GPLv3+
URL:		https://wiki.gnome.org/Projects/GnomeShellIntegration
Source0:	https://gitlab.gnome.org/nE0sIghT/gnome-browser-connector/-/archive/v%{version}/gnome-browser-connector-v%{version}.tar.gz
BuildRequires:	meson
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-gobject

Requires:	dbus
Requires:	gnome-icon-theme
Requires:	hicolor-icon-theme
Requires:	mozilla-filesystem
Requires:	python3-gobject
Requires:	python3-requests

Obsoletes:	chrome-gnome-shell < 10.1-12
Provides:	chrome-gnome-shell

%description
Browser extension for Google Chrome/Chromium, Firefox, Vivaldi, Opera (and
other Browser Extension, Chrome Extension or WebExtensions capable browsers)
and native host messaging connector that provides integration with GNOME Shell
and the corresponding extensions repository https://extensions.gnome.org.

%prep
%autosetup -n %{name}-v%{version}

%build
%meson
%meson_build

%install
export SETUPTOOLS_USE_DISTUTILS=stdlib
%meson_install
%py3_shebang_fix %{buildroot}%{_bindir}/gnome-browser-connector{,-host}

%files
%license LICENSE
%{_sysconfdir}/chromium/
%{_sysconfdir}/opt/chrome/
%{_bindir}/gnome-browser-connector{,-host}
%{_libdir}/mozilla/native-messaging-hosts/
%{python3_sitelib}/gnome_browser_connector/
%{_datadir}/applications/org.gnome.BrowserConnector.desktop
%{_datadir}/dbus-1/services/org.gnome.BrowserConnector.service
%{_iconsdir}/hicolor/*/apps/org.gnome.BrowserConnector.png



%changelog
* Mon Oct 24 2022 ghibo <ghibo> 42.1-1.mga9
+ Revision: 1898951
- Update to release 42.1.
- Move the py3_shebang_fix (which also adds the security flag -s) to the install stage.

* Thu Aug 25 2022 wally <wally> 42.0-3.mga9
+ Revision: 1880168
- break dep loop with gnome-shell

* Thu Aug 25 2022 wally <wally> 42.0-2.mga9
+ Revision: 1880163
- provide chrome-gnome-shell

* Wed Aug 24 2022 wally <wally> 42.0-1.mga9
+ Revision: 1879918
- rename as gnome-browser-connector
- new version 42.0

* Mon Aug 08 2022 mrambo3501 <mrambo3501> 10.1-11.mga9
+ Revision: 1876128
- use Python's bundled distutils

* Sun Aug 07 2022 mrambo3501 <mrambo3501> 10.1-10.mga9
+ Revision: 1875996
- fix filelists

* Tue Mar 29 2022 umeabot <umeabot> 10.1-9.mga9
+ Revision: 1831297
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 tmb <tmb> 10.1-8.mga9
+ Revision: 1773917
- rebuild for python 3.10

* Tue Mar 16 2021 tmb <tmb> 10.1-7.mga9
+ Revision: 1703815
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 10.1-5.mga8
+ Revision: 1531409
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros
- replace deprecated %%makeinstall_std

* Wed Sep 11 2019 tv <tv> 10.1-4.mga8
+ Revision: 1439929
- rebuild for python-3.8

* Mon Jan 07 2019 tmb <tmb> 10.1-3.mga7
+ Revision: 1351170
- rebuild for python 3.7

* Sat Sep 22 2018 umeabot <umeabot> 10.1-2.mga7
+ Revision: 1296145
- Mageia 7 Mass Rebuild

* Mon Jul 23 2018 guillomovitch <guillomovitch> 10.1-1.mga7
+ Revision: 1245011
- new version 10.1

* Wed Feb 21 2018 ovitters <ovitters> 10-1.mga7
+ Revision: 1204042
- new version 10

* Fri Aug 04 2017 tv <tv> 9-2.mga7
+ Revision: 1134713
- rebuild for new python

* Mon Apr 17 2017 ovitters <ovitters> 9-1.mga6
+ Revision: 1096624
- new version 9

* Sun Mar 26 2017 tv <tv> 8.2-2.mga6
+ Revision: 1094877
- fix deps

* Sat Mar 25 2017 ovitters <ovitters> 8.2-1.mga6
+ Revision: 1094809
- add group
- from fedora

